@media screen and (min-width: 1024px) {
    .similar-listings{
        padding: 6.44rem 0 8.3rem;
        width: 100%;
    }
    .similar-listings .bot {
        width: 100%;
        margin-top: 3.94rem;
        display: flex;
    }

    .similar-listings .bot > li {
        margin-left: 2.86rem;
        width: calc((100% - 8.58rem) / 4);
        height: 35.28rem;
    }

    .similar-listings .bot li:first-child {
        margin-left: 0;
    }

    .similar-listings .bot div.item {
        display: flex;
        flex-direction: column;
        width: 100%;
        height: 100%;
        color: #130C06;
        background: #F8F8FA;
    }

    .similar-listings .bot .item .picture {
        width: 100%;
        height: 18.06rem;
        position: relative;
    }

    .similar-listings .bot .item .picture .address {
        position: absolute;
        right: .64rem;
        bottom: .64rem;
        display: flex;
        align-items: center;
        justify-content: center;
        height: 2.21rem;
        background: rgba(0, 0, 0, .7);
        padding: 0 .86rem;
        border-radius: 1.11rem;
        font-size: 1.14rem;
        color: #FFFFFF;
    }
    .similar-listings .bot .item .picture .address > img {
        width: 0.8rem;
        margin-right: .4rem;
    }

    .similar-listings .bot .item .info {
        width: 100%;
        height: calc(100% - 18.06rem);
        padding: 1.14rem 1.5rem;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    .similar-listings .bot .item .info .title {
        font-size: 1.86rem;
        color: #130C06;
        cursor: pointer;

        white-space: nowrap;           /* 不换行 */
        overflow: hidden;              /* 溢出隐藏 */
        text-overflow: ellipsis;      /* 用省略号表示溢出的文本 */
    }

    .similar-listings .bot .item .info .tags {
        display: flex;
        align-items: center;
    }

    .similar-listings .bot .item .info .tags > li {
        padding: 0 1.08rem;
        height: 2.29rem;
        background: #FCF7F3;
        margin-right: .3rem;
        font-size: 1.14rem;
        color: #AC610B;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }
    .similar-listings .bot .item .info .area {
        font-size: 1.43rem;
        color: #130C06;
    }

    .similar-listings .bot .item .info .price {
        margin-top: 2rem;
        font-weight: 800;
        font-size: 1.86rem;
        color: #000000;
    }

}


@media screen and (min-width: 350px) and (max-width: 999px) {
    .similar-listings {
        padding: 2rem 0;
        width: 100%;
    }

    .similar-listings .bot {
        width: 100%;
    }

    .similar-listings .bot > li {
        margin-top: 1rem;
        width: 100%;
        height: auto;
    }

    .similar-listings .bot .item {
        display: flex;
        flex-direction: column;
        width: 100%;
        height: 100%;
        color: #130C06;
        background: #F8F8FA;
    }

    .similar-listings .bot .item .picture {
        width: 100%;
        height: 16rem;
        position: relative;
    }

    .similar-listings .bot .item .picture .address {
        position: absolute;
        right: 1rem;
        bottom: 1rem;
        display: flex;
        align-items: center;
        justify-content: center;
        height: 1.6rem;
        background: rgba(0, 0, 0, .7);
        padding: 0 .6rem;
        border-radius: 1.11rem;
        font-size: 12px;
        color: #FFFFFF;
    }

    .similar-listings .bot .item .picture .address > img {
        width: .6rem;
        margin-right: .4rem;
    }

    .similar-listings .bot .item .info {
        width: 100%;
        padding: 1rem;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }
    .similar-listings .bot .item .info .title {
        font-size: 1.14rem;
        color: #130C06;
        font-weight: bold;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .similar-listings .bot .item .info .tags {
        margin-top: 1rem;
        display: flex;
        flex-wrap: wrap;
        align-items: center;
    }

    .similar-listings .bot .item .info .tags > li {
        padding: 0 .8rem;
        height: 2rem;
        line-height: 2rem;
        background: #FCF7F3;
        margin-right: 4px;
        font-size: 12px;
        color: #AC610B;
    }
    .similar-listings .bot .item .info .area {
        margin-top: 1rem;
        font-size: 12px;
        color: #130C06;
    }

    .similar-listings .bot .item .info .price {
        margin-top: 1.14rem;
        font-weight: 800;
        font-size: 1rem;
        color: #000000;
    }


}
